#include-once

#Include 'FTP.au3'

Local $lPath,$oIE, $main_GUI_Tab_Quelltext_Edit, $main_GUI_Tab, $lCheck, $main_GUI, $lRead, $options_GUI, $options_GUI_Tab, $_TITLE
Local $options_GUI_Tab_Options_Size_Combo, $options_GUI_Tab_Options_Art_Combo, $options_GUI_Tab_Options_Typ_Combo_Italic, $options_GUI_Tab_Options_Typ_Combo_Underlined, $options_GUI_Tab_Options_Color_Edit
Local $options_GUI_Tab_FTP_Server_Input, $options_GUI_Tab_FTP_User_Input, $options_GUI_Tab_FTP_PW_Input

#Region _options_GUI
Func _options_GUI_Exit()
	_GUICtrlTabSetCurFocus( $options_GUI_Tab, 0 )
	GUISetState( @SW_HIDE, $options_GUI )
EndFunc

Func _options_GUI_Tab_FTP_Upload()
	If _options_GUI_Tab_FTP_Save() <> 0 Then
		Local $lIni = @ScriptDir & '\Resources\Settings.ini'
		Local $lServer = IniRead( $lIni, 'Settings', 'Server', '' )
		Local $lUser = IniRead( $lIni, 'Settings', 'Username', '' )
		Local $lPW = _StringEncrypt( 0, IniRead( $lIni, 'Settings', 'Passwort', '' ), 'passwort' )
		Local $lSplit = StringSplit( $_TITLE, '\' )
		If ( $lServer = '' ) or ( $lUser = '' ) or ( $lPW = '' ) Then
			Return 0
		EndIf
		$Open = _FTPOpen( 'MyFTP Control' )
		If @error Then Return 0
		$Conn = _FTPConnect( $Open, $lServer, $lUser, $lPW )
		If @error Then Return 0
		_FTPDelFile( $Conn, $lSplit[$lSplit[0]] )
		$Ftpp = _FtpPutFile( $Conn, $_TITLE, $lSplit[$lSplit[0]] )
		If @error Then Return 0
		$Ftpc = _FTPClose( $Open )	
		If @error Then Return 0
		MsgBox( 0, '', 'Datei fertig hochgeladen!', 5 )
	EndIf
EndFunc

Func _options_GUI_Tab_FTP_Save()
	Local $lRead1 = GUICtrlRead( $options_GUI_Tab_FTP_Server_Input )
	Local $lRead2 = GUICtrlRead( $options_GUI_Tab_FTP_User_Input )
	Local $lRead3 = GUICtrlRead( $options_GUI_Tab_FTP_PW_Input ) 
	Local $lIni = @ScriptDir & '\Resources\Settings.ini'
	If $lRead1 = '' or $lRead2 = '' or $lRead3 = '' Then
		MsgBox( 0, 'Fehler!', 'Fllen Sie bitte alle Felder aus!' )
		Return 0
	Else	
		IniWrite( $lIni, 'Settings', 'Server', $lRead1 )
		IniWrite( $lIni, 'Settings', 'Username', $lRead2 )
		IniWrite( $lIni, 'Settings', 'Passwort', _StringEncrypt( 1 , $lRead3, 'passwort' ) )
	EndIf
EndFunc

Func _options_GUI_Tab_Options_Save()
	Local $lRead1 = GUICtrlRead( $options_GUI_Tab_Options_Size_Combo )
	Local $lRead2 = GUICtrlRead( $options_GUI_Tab_Options_Art_Combo )
	Local $lRead3 = GUICtrlRead( $options_GUI_Tab_Options_Typ_Combo_Italic )
	Local $lRead4 = GUICtrlRead( $options_GUI_Tab_Options_Typ_Combo_Underlined )
	Local $lRead5 = GUICtrlRead( $options_GUI_Tab_Options_Color_Edit )
	Local $lIni = @ScriptDir & '\Resources\Settings.ini', $lTyp = ''
	If $lRead1 = '' Then
		IniWrite( $lIni, 'Font', 'Size', '9' )
	Else
		IniWrite( $lIni, 'Font', 'Size', $lRead1 )
	EndIf
	If $lRead2 = '' Then
		IniWrite( $lIni, 'Font', 'Art', 'MS Sans Serif' )
	Else
		IniWrite( $lIni, 'Font', 'Art', $lRead2 )
	EndIf	
	If $lRead3 <> $GUI_UNCHECKED Then ;Wenn kursiv angewhlt wurde dann
		$lTyp = '2'
	EndIf
	If $lRead4 <> $GUI_UNCHECKED Then ;Wenn Unterstrichen angewhlt wurde dann
		If $lTyp <> '2' Then ;Wenn kursiv nicht angewhlt wurde dann
			$lTyp = '4'
		ElseIf $lTyp = '2' Then ;Wenn kursiv und unterstrichen angewhlt wurden dann
			$lTyp = '2+4'
		EndIf
	EndIf
	IniWrite( $lIni, 'Font', 'Typ', $lTyp )
	If $lRead5 = '' Then
		IniWrite( $lIni, 'Font', 'Color', '0x000000' )
	Else
		IniWrite( $lIni, 'Font', 'Color', $lRead5 )
	EndIf
	If not @error Then 
		_main_GUI_Set_Font()
		MsgBox( 64, '', 'Werte gespeichert!' )
	EndIf
EndFunc
#Endregion

#Region _main_GUI
Func _main_GUI_Toolbar_Options_Pressed()
	GUISetState( @SW_SHOW, $options_GUI )
EndFunc

Func _main_GUI_Toolbar_New_Pressed()
	If $lCheck = True Then 
		;Datei nicht gesichert
		$lBuffer = MsgBox( 32 + 3, 'Speichern?', 'Die Datei ' & $lPath & ' wurde noch nicht gesichert!' & @CRLF & 'Wollen Sie die Datei jetzt sichern?' )
		If $lBuffer = 6 Then
			_main_GUI_Toolbar_Save_Pressed()
		ElseIf $lBuffer = 2 Then
			Return False
		EndIf
	EndIf
	GUICtrlSetData( $main_GUI_Tab_Quelltext_Edit, '' )
	$lRead = ''
EndFunc

Func _main_GUI_Toolbar_Find_Pressed()
	If _GUICtrlTabGetCurSel( $main_GUI_Tab ) = 1 Then
		_GUICtrlTabSetCurFocus( $main_GUI_Tab, 0 )
	EndIf
	Opt( 'GUIOnEventMode', 0 )
	_GUICtrlEditFind ( $main_GUI, $main_GUI_Tab_Quelltext_Edit )
	Opt( 'GUIOnEventMode', 1 )
EndFunc

Func _main_GUI_Toolbar_FindReplace_Pressed()
	If _GUICtrlTabGetCurSel( $main_GUI_Tab ) = 1 Then
		_GUICtrlTabSetCurFocus( $main_GUI_Tab, 0 )
	EndIf
	Opt( 'GUIOnEventMode', 0 )
	_GUICtrlEditFind ( $main_GUI, $main_GUI_Tab_Quelltext_Edit, True )
	Opt( 'GUIOnEventMode', 1 )
EndFunc

Func _Exit()
	If $lCheck = True Then 
		$lBuffer = MsgBox( 32 + 3, 'Speichern?', 'Die Datei ' & $lPath & ' wurde noch nicht gesichert!' & @CRLF & 'Wollen Sie die Datei jetzt sichern?' )
		If $lBuffer = 6 Then
			_main_GUI_Toolbar_Save_Pressed()
		ElseIf $lBuffer = 2 Then
			Return False
		EndIf
	EndIf
	IniWrite( @ScriptDir & '\Resources\Settings.ini', 'Settings', 'LastFile', $_TITLE )
	Exit
EndFunc

Func _main_GUI_Toolbar_Open_Pressed()
	$lBuffer = FileSaveDialog( 'Whlen Sie die Datein aus:', '::{7be9d83c-a729-4d97-b5a7-1b7313c39e0a}', 'Webpages (*.html)' )
	If $lBuffer <> '' Then
		GUICtrlSetData( $main_GUI_Tab_Quelltext_Edit, FileRead( $lBuffer ) )
		$oIE.navigate( 'file:///' & $lBuffer )
		$lPath = $lBuffer
		$lRead = FileRead( $lBuffer )
		WinSetTitle ( $_TITLE, '', $lBuffer )
		$_TITLE = $lBuffer
	EndIf
EndFunc

Func _main_GUI_Toolbar_Save_Pressed()
	$lBuffer = FileSaveDialog( 'Speicherort', '::{7be9d83c-a729-4d97-b5a7-1b7313c39e0a}', 'Webpages (*.html)' )
	If $lBuffer <> '' Then
		FileDelete( $lBuffer )
		FileWrite( $lBuffer, GUICtrlRead( $main_GUI_Tab_Quelltext_Edit ) )
		$lRead = FileRead( $lBuffer )
		WinSetTitle ( $_TITLE, '', $lBuffer )
		$_TITLE = $lBuffer
	EndIf
EndFunc

Func _main_GUI_Toolbar_ChangeView_Pressed()
	Switch _GUICtrlTabGetCurSel( $main_GUI_Tab )
		Case 0
			_GUICtrlTabSetCurFocus( $main_GUI_Tab, 1 )
		Case 1
			_GUICtrlTabSetCurFocus( $main_GUI_Tab, 0 )
	EndSwitch
EndFunc
#Endregion